- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ansible-config

View ansible configuration.

- Synopsis
- Description
- Common Options
- Actions
  - list
  - dump
  - view
- Environment
- Files
- Author
- License
- See also

## Synopsis

    usage: ansible-config [-h] [--version] [-v] {list,dump,view} ...

## Description

Config command line class

## Common Options

`--version```

  show program’s version number, config file location, configured module search path, module location, executable location and exit

`-h````,` `--help```

  show this help message and exit

`-v````,` `--verbose```

  verbose mode (-vvv for more, -vvvv to enable connection debugging)

## Actions

### list

list all current configs reading lib/constants.py and shows env and config file setting names

`-c``<CONFIG_FILE>``,` `--config``<CONFIG_FILE>`

  path to configuration file, defaults to first file found in precedence.

### dump

Shows the current settings, merges ansible.cfg if specified

`--only-changed```

  Only show configurations that have changed from the default

`-c``<CONFIG_FILE>``,` `--config``<CONFIG_FILE>`

  path to configuration file, defaults to first file found in precedence.

### view

Displays the current config file

`-c``<CONFIG_FILE>``,` `--config``<CONFIG_FILE>`

  path to configuration file, defaults to first file found in precedence.

## Environment

The following environment variables may be specified.

`ANSIBLE_CONFIG` – Override the default ansible config file

Many more are available for most options in ansible.cfg

## Files

`/etc/ansible/ansible.cfg` – Config file, used if present

`~/.ansible.cfg` – User config file, overrides the default config if present

## Author

Ansible was originally written by Michael DeHaan.

See the AUTHORS file for a complete list of contributors.

## License

Ansible is released under the terms of the GPLv3+ License.

## See also

ansible(1), ansible-config(1), ansible-console(1), ansible-doc(1), ansible-galaxy(1), ansible-inventory(1), ansible-playbook(1), ansible-pull(1), ansible-vault(1),